Subject: Bug#378: Point to XQuartz as extra, non-bundled dependency during installation process on Mac OS X

From: Mike Gabriel <[email-masked]>
Date: Sat, 21 Dec 2013 20:59:32 +0000

Package: x2goclient
Severity: wishlist

This is a suggestion from Dick Kniep on how we can improve the Mac OS  
X installer.

   o During installation: test if XQuartz is already installed
   o If not: let a window pop up that informs about the necessity of XQuartz
   o If possible: present an URL to the download page of XQuartz

@Clemens: do you think such an improvement can easily be implemented  
in the Mac OS X installer of X2Go Client? Request for comment...

Greets,
Mike

----- Weitergeleitete Nachricht von Dick Kniep <[email-masked]> -----
   Datum: Sat, 21 Dec 2013 10:59:30 +0100
     Von: Dick Kniep <[email-masked]>
Betreff: RE: XQuartz for Mac installer
      An: Mike Gabriel <[email-masked]>

Hi Mike,

> Hi Dick
>
> On  Di 17 Dez 2013 11:07:39 CET, Dick Kniep wrote:
>
> > Hi Mike,
> >
> > I tried to install the regular X2goclient on a Mac and there was an
> > additional step required to get it working.
> >
> > In the newer Mac's XQuartz (the Mac X-server) is not installed. The
> > installer should make sure that XQuartz is installed also! This
> > should also be included in the regular Mac installer of the
> > X2goclient.
>
> I talked to the Mac OS X maintainer of X2Go Client and we both agreed
> that XQuartz won't be bundled in X2Go Client. The installation
> procedure is:
>
> Install XQuartz
> Log-off, log-on
> Install X2Go Client
> Use X2Go
>
> Reasons for not bundling XQuartz:
>
>    o it is not easy to bundle it (Clemens said, he does not know how
> to do it, and he is better than me)
>    o XQuartz has a shorter release cycle than X2Go -> X2Go Client will
> ship old XQuartz versions
>    o many people have XQuartz already installed
>
> Possibly, we will have to compensate the non-bundling with
> documentation. I have improved the quick install howto [1] a bit, but
> there maybe other places where we can improve the docs (of course!!!).
>
> Greets,
> Mike
>
> [1] http://wiki.x2go.org/doku.php/doc:installation:x2goclient#macos_x

Yes I understand. However, is it possible to test for the existence of  
Xquartz on the system and if it does not exist start the webbrowser  
and show the XQuartz download page? They should be aware that  
something else is required, because most users simply click on the  
install button and think that everything is taken care of.....

Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb